Summary:       A library for portable packet creation and injection
Name:          libnet
Version:       1.1.4
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://dl.sourceforge.net/sourceforge/%{name}-dev/%{name}-%{version}.tar.gz
URL:           http://sourceforge.net/projects/%{name}-dev/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Sam Roberts <vieuxtech@gmail.com>

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network packet
writing and handling. Libnet includes packet creation at the IP layer
and at the link layer as well as a host of supplementary functionality.
Libnet is very handy with which to write network tools and network test
code.


%package       devel
Summary:       Development tools for Libnet
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using Libnet.


%prep
%setup -q

# Prepare docs
%{__mkdir_p} doc_inst
%{__cp} -r doc/html doc_inst
%{__rm} -f doc_inst/html/Makefile*


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--enable-static                                \
	--enable-shared

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man3
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?

# Install samples
%{__install} -m 0644 sample/*.[ch]    ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

find sample -type f -perm 755 \
	-exec %{__install} -m 0700 {} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README doc/{BUGS,CHANGELOG,CONTRIB,COPYING,PORTED,TODO}
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc doc/{DESIGN_NOTES,MIGRATION,PACKET_BUILDING,RAWSOCKET*}
%doc %dir doc_inst/html
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_datadir}/%{name}
%{_mandir}/man3/*.3*


%changelog
* Sun Jun 28 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.4-1
- New version (1.1.4)

* Sat Mar 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.2.1-5
- Rewritten for buildsystem

* Sat Jan 27 2007 peter.pramberger@member.fsf.org 1.1.2.1-4
- some spec file cleanups (x86_64 support)

* Wed Nov 23 2005 peter.pramberger@member.fsf.org
- created
